pub use sea_orm_migration::prelude::*;

mod m20250202_000233_benutzer;
mod m20250202_225521_hardware;
mod m20250203_214832_hardware_events;

pub struct Migrator;

#[async_trait::async_trait]
impl MigratorTrait for Migrator {
    fn migrations() -> Vec<Box<dyn MigrationTrait>> {
        vec![
            Box::new(m20250202_000233_benutzer::Migration),
            Box::new(m20250202_225521_hardware::Migration),
            Box::new(m20250203_214832_hardware_events::Migration),
        ]
    }
}
